#include "sim.h"
#include <linux/clocksource.h>

/* simulator hardware code */

/* clocksource code */

extern unsigned long simulator_get_hardware(void);

cycle_t sim_read(void)
{
	return simulator_get_hardware();
}
#define SIM_SHIFT 22
struct clocksource clocksource_sim = {
	.name = "sim",
	.rating = 0, /* lowest rating*/
	.read = sim_read,
	.mask = (u32)-1,
	.mult = 1 << SIM_SHIFT,
	.shift = SIM_SHIFT,
};


struct clocksource *clocksource_get_next(void)
{
	return &clocksource_sim;
}

